package com.jz.dm.gateway.filter;

import com.jz.dm.gateway.model.GatewayRequest;
import com.jz.dm.gateway.model.GatewayResponse;

/**
 * 请求过滤链
 * @author key
 */
public interface FilterChain {

    /**
     * 请求过滤
     * 
     * @param request gateway request
     * @param response gateway response
     */
    void doFilter(GatewayRequest request, GatewayResponse response);
}
